【漏洞预警】Apache Zeppelin shell 代码注入漏洞(CVE-2024-31861)

admin 2024年4月16日02:30:00评论14 views字数 411阅读1分22秒阅读模式

【漏洞预警】Apache Zeppelin shell 代码注入漏洞(CVE-2024-31861)

漏洞描述:
Apache Zeppelin是一个让交互式数据分析变得可行的基于网页的开源框架,Zeppelin提供了数据分析、数据可视化等功能,官方发布更新披露CVE-2024-31861Apache Zeppelin shell代码注入漏洞,攻击者可利用Zeppelin中的shell功能执行任意命令,升级后官方默认禁止shell interpreter。

影响范围:
0.10.1<=Apache Zeppelin<0.11.1

解决建议:
1、升级至最新版本
2、利用安全组设置其仅对可信地址开放

参考链接:
https://github.com/apache/zeppelin/pull/4708     
https://github.com/apache/zeppelin/pull/4708/files    

原文始发于微信公众号(飓风网络安全):【漏洞预警】Apache Zeppelin shell 代码注入漏洞(CVE-2024-31861)

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2024年4月16日02:30:00
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   【漏洞预警】Apache Zeppelin shell 代码注入漏洞(CVE-2024-31861)http://cn-sec.com/archives/2661446.html

发表评论

匿名网友 填写信息